kas list                   AFS Commands                kas list


NAME

   kas   list -- list   all   entries  in  the  Authentication

                       Database.


   kas list  [-admin_username <admin principal to use for
   authentication>]
   [-password_for_admin <admin password>]  [-cell <cell name>]
           [-servers <explicit list of authentication
           +
   servers> ]
   [-noauth]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   kas ls  [-a <admin principal to use for authentication>]
   [-p <admin password>]  [-c <cell name>]
                                                +
   [-s <explicit list of authentication servers> ]  [-n]  [-h]

DESCRIPTION

   Lists the names of all the entries  (server  and  individual
   user) in the Authentication Database.

ARGUMENTS

   -admin_username   specifies  the  user  name under which the
                     issuer wishes to perform the command.   If
                     the   issuer  does  not  provide  it,  the
                     current identity is used.  See section 4.3
                     in  the Reference Manual for more details.
                     -password_for_admin
                     specifies  the  issuer's  password.   Note
                     that provided here the password is visible
                     on  the  screen.    If the issuer does not
                     provide it, it will be  prompted  for  and
                     not be visible on the screen.  See section
                     4.3  in  the  Reference  Manual  for  more
                     details.  -cell
                     specifies the cell in  which  to  run  the
                     command,  if  not  the  local  cell.   See
                     section 4.3 in the  Reference  Manual  for
                     more details.  -servers
                     specifies the database  server  machine(s)
                     with which to establish a connection.  See
                     section 4.3 in the  Reference  Manual  for
                     more details.  -noauth
                     establishes an unauthenticated  connection
                     between  the  Authentication  Servers  and
                     issuer, whom they assign the  unprivileged
                     identity  anonymous rather than attempting
                     mutual authentication.  See section 4.3 in
                     the  Reference  Manual  for  more details.
                     -help
                     prints  the  online help for this command.
                     Do not  provide  any  other  arguments  or
                     flags  with  this one.  See section 4.3 in
                     the Reference Manual for more details.



OUTPUT

   Each entry appears on its own line.  Some entries have  been
   created  by  the  Authentication Server for its own internal
   use (for instance, AuthServer.Admin).

EXAMPLE

   The following example is for the cell small.edu,  which  has
   five   users   in   it   (the  other  entries  are  for  the
   Authentication Server's internal use).

   % kas list  AuthServer.Admin  krbtgt.SMALL.EDU  afs  admin
   pat   smith  jones   terry

PRIVILEGE REQUIRED

   Issuer  must  have  the  ADMIN  flag  set  in  his  or   her
   Authentication Database entry.

MORE INFORMATION
